/*****************************************************************************
**  																						main.h							                                  **                                                                       **
*****************************************************************************/
#ifndef _MAIN_H_
#define _MAIN_H_

#include <stdio.h>
#include <string.h>
#include <intrins.h>
#include <ABSACC.h>

#ifdef __cplusplus
	extern "C" {
#endif

#define	Sint8	signed   char
#define Uint8	unsigned char
#define Uint16	unsigned int
#define Uint32	unsigned long

#define NO		0
#define YES		1

#define LOW		0
#define HIGH	1

#define ON		1
#define OFF		0

#define ENABLE	1
#define DISABLE	0

#define MASTER	1
#define SLAVE	0

#define ONEWAY	0
#define TWOWAY	1

/*********************************************************************
**  Constant Declaration
*********************************************************************/
#define XTAL_FREQ		8		//8MHz
#define TIMEOUT			50
#define TIMESLOT		10
#define t0hrel			1333
#define BaudRate38400	(65536-((16000000)/(32*38400)))    //crystal=16MHz,timer2

/*********************************************************************
**  I/O Declaration
*********************************************************************/
#define GIO1	P0_7
#define GIO2	P1_2
#define CKO		P1_3

/***********************************************************
**	ADC enum define
***********************************************************/
typedef enum {
	ADC_En  = 1,
	ADC_Dis = ~(ADC_En),
}ADC_Set;

typedef enum {
	ADC_P3_2 = 0,
	ADC_P3_3 = 1,
	ADC_P3_4 = 2,
	ADC_P3_5 = 3,
}ADC_Input_Pin;

/*************************************************************************
**		function Declaration
*************************************************************************/
extern Uint16 ADC_measurement_enable(Uint8 Input_Pin, Uint8 ADC_On);
extern Uint8 RSSI_measurement_enable(void);

#ifdef __cplusplus
}
#endif

#endif